package com.inspect.metadata.statis.mapper;

import com.inspect.metadata.statis.domain.BasedataStatisRobotUavOnlineDay;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataStatisRobotUavOnlineDayMapper {
    BasedataStatisRobotUavOnlineDay selectBasedataStatisRobotUavOnlineDayByRobotUavOnlineStatId(Long statId);

    List<BasedataStatisRobotUavOnlineDay> selectBasedataStatisRobotUavOnlineDayList(BasedataStatisRobotUavOnlineDay onlineDay);

    BasedataStatisRobotUavOnlineDay selectBasedataStatisRobotUavOnlineDayByDayStartTime(BasedataStatisRobotUavOnlineDay onlineDay);

    int insertBasedataStatisRobotUavOnlineDay(BasedataStatisRobotUavOnlineDay onlineDay);

    int updateBasedataStatisRobotUavOnlineDay(BasedataStatisRobotUavOnlineDay onlineDay);

    int deleteBasedataStatisRobotUavOnlineDayByRobotUavOnlineStatId(Long statId);

    int deleteBasedataStatisRobotUavOnlineDayByRobotUavOnlineStatIds(Long[] statIds);
}
